package com.zhilin.patrol.bean;

import java.io.Serializable;
import java.util.List;


/**
 * 登录实体
 */
public class LoginEntityNull extends BaseEntity<List<LoginEntity.InfoListBean>> {

    public static class InfoListBean implements Serializable {
        private int state;
        /**
         * userCode : u18082asdacj
         * userRole : 2
         * userName : 司机1
         * userImg : http://www.huijiamao.cn/patrol/upfiles/userimg/a.jpg
         * userSex : 男
         */

        private UserInfoBean userInfo;

        public int getState() {
            return state;
        }

        public void setState(int state) {
            this.state = state;
        }

        public UserInfoBean getUserInfo() {
            return userInfo;
        }

        public void setUserInfo(UserInfoBean userInfo) {
            this.userInfo = userInfo;
        }

        public static class UserInfoBean implements Serializable{
            private String userCode;
            private int userRole;
            private String userName;
            private String userImg;
            private String userSex;

            public String getUserCode() {
                return userCode;
            }

            public void setUserCode(String userCode) {
                this.userCode = userCode;
            }

            public int getUserRole() {
                return userRole;
            }

            public void setUserRole(int userRole) {
                this.userRole = userRole;
            }

            public String getUserName() {
                return userName;
            }

            public void setUserName(String userName) {
                this.userName = userName;
            }

            public String getUserImg() {
                return userImg;
            }

            public void setUserImg(String userImg) {
                this.userImg = userImg;
            }

            public String getUserSex() {
                return userSex;
            }

            public void setUserSex(String userSex) {
                this.userSex = userSex;
            }
        }
    }
}
